Flutter 04: 图解第一个程序遇到的安装依赖问题-阿里云开发者社区

开发者社区> 开发与运维> 正文

Flutter 04: 图解第一个程序遇到的安装依赖问题

简介:       小菜刚开始学习 Flutter 会遇到各种意想不到的问题,今天整理一下第一次新建项目运行时报的错的处理方式。     Finished with error: Please review your Gradle project setup in the android/folder.

      小菜刚开始学习 Flutter 会遇到各种意想不到的问题,今天整理一下第一次新建项目运行时报的错的处理方式。
    Finished with error: Please review your Gradle project setup in the android/folder.

问题

尝试方式

  1. 小菜检查程序中 android -> gradle -> local.properities,发现 sdk 路径指向的是另一套 SDK,于是重新配置一下 ANDROID_HOME 的路径;
sdk.dir=E:/android-sdk-windows/android-sdk-windows
flutter.sdk=C:\\Users\\YourName\\flutter
flutter.versionName=1.0.0
flutter.versionCode=1
flutter.buildMode=debug
  1. 我的电脑 -> 系统属性 -> 环境变量 新建一个系统变量 ANDROID_HOME,如图:
配置 ANDROID_HOME
  1. 我的电脑 -> 系统属性 -> 环境变量 编辑用户变量 Path,将 ANDROID_HOME 添加进入,如图:
配置 Path
  1. cmd -> android list target 检测 Android SDK,如图:
android list target
  1. cmd -> flutter doctor 检查 flutter 的环境依赖,小菜发现 [√] 和 [!],还有一种情况是 [×],优先需要解决 [!] 和 [×] 这两种情况,如图:
flutter doctor
  1. 按照提示处理执行 flutter doctor --android-licenses,如图:
  1. 基本找到问题所在 .cfg 文件没有背加载,按指示接受输入 y 会进行好几次,接收即可,如图:
  1. cmd -> flutter doctor --android-licenses 检测,提示 All SDK package licenses accepted. 所有的 SDK 都加载成功;cmd -> flutter doctor --verbose 检测所有的都是[√],如图:
flutter doctor --android-licenses
  1. 重新打开 AndroidStudio 测试一遍,OK。


      小菜刚接触 Flutter 还需要不断学习摸索!


      以下是小菜公众号,欢迎闲来吐槽~


小菜公众号

版权声明:本文首发在云栖社区,遵循云栖社区版权声明:本文内容由互联网用户自发贡献,版权归用户作者所有,云栖社区不为本文内容承担相关法律责任。云栖社区已升级为阿里云开发者社区。如果您发现本文中有涉嫌抄袭的内容,欢迎发送邮件至:developer2020@service.aliyun.com 进行举报,并提供相关证据,一经查实,阿里云开发者社区将协助删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章